add_library(sound STATIC
    audio.c
    a_globals.c
    a_struct.c
    audiodev.c
    a_midi.c
    sfifo.c
    a_pitch.c
    a_midisock.c
    a_wave.c
    a_patch.c
    a_channel.c
    a_voice.c
    a_bus.c
    a_commands.c
    a_control.c
    a_midicon.c
    a_midifile.c
    a_plugin.c
    a_delay.c
    a_limiter.c
    a_filters.c
    a_wca.c
    a_agw.c
    a_sequencer.c
    a_events.c
)

target_include_directories(sound
    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
    PRIVATE
        ${CMAKE_SOURCE_DIR}
        ${CMAKE_SOURCE_DIR}/eel
        ${CMAKE_SOURCE_DIR}/graphics
)

target_link_libraries(sound PUBLIC kobo_deps)
